> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rookoo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a planning event



## OpenAPI

````yaml /openapi/application.json patch /api/v1/accounts/{account_id}/planning/events/{id}
openapi: 3.0.4
info:
  title: Rookoo Application API
  description: >-
    Manage conversations, contacts, inboxes, planning, knowledge bases, MCP, and
    account settings on behalf of a user.
  version: 1.1.0
  termsOfService: https://www.rookoo.ai/terms-of-service/
  contact:
    email: hello@rookoo.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.rookoo.ai/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: OAuth Applications
    description: Account-scoped OAuth 2.0 clients
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
  - name: Knowledge Bases
    description: Searchable knowledge bases and records
  - name: Planning Events
    description: Event planning and inquiries
  - name: Planning Allocations
    description: Space allocations and availability
  - name: Planning Quotes
    description: Quotes for planning events
  - name: Planning Rates
    description: Rate catalogue and prices
  - name: Planning Pricing
    description: Pricing plans, discount codes, and price preview/lock
  - name: Spaces
    description: Bookable spaces and rooms
  - name: Rookoo Agents
    description: Rookoo AI agent configuration
  - name: Copilot
    description: Copilot JWT and settings
  - name: MCP
    description: Model Context Protocol server endpoints
paths:
  /api/v1/accounts/{account_id}/planning/events/{id}:
    parameters:
      - $ref: '#/components/parameters/account_id'
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    patch:
      tags:
        - Planning Events
      summary: Update a planning event
      operationId: update-planning-event
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/planning_event_create_update_payload'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/planning_event'
      security:
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    planning_event_create_update_payload:
      type: object
      required:
        - event
      properties:
        event:
          type: object
          required:
            - name
          properties:
            name:
              type: string
            description:
              type: string
            system_stage:
              type: string
            custom_status:
              type: string
              nullable: true
            customer_id:
              type: integer
            event_manager_id:
              type: integer
            conversation_id:
              type: integer
            experience_id:
              type: integer
            pricing_plan_id:
              type: integer
            event_portal_id:
              type: string
            event_label_id:
              type: integer
            pax:
              type: integer
            external_quote_url:
              type: string
            current_total_price:
              type: number
            allocation_ids:
              type: array
              items:
                type: string
            custom_attributes:
              type: object
              additionalProperties: true
            metadata:
              type: object
              additionalProperties: true
    planning_event:
      type: object
      properties:
        id:
          type: string
          format: uuid
        account_id:
          type: integer
        name:
          type: string
        description:
          type: string
          nullable: true
        system_stage:
          type: string
          enum:
            - draft
            - inquiry
            - confirmed
            - completed
            - lost
            - archived
        custom_status:
          type: string
          nullable: true
        customer_id:
          type: integer
          nullable: true
        event_manager_id:
          type: integer
          nullable: true
        conversation_id:
          type: integer
          nullable: true
        pax:
          type: integer
          nullable: true
        start_date:
          type: string
          format: date
          nullable: true
        end_date:
          type: string
          format: date
          nullable: true
        pricing_plan_id:
          type: integer
          nullable: true
        experience_id:
          type: integer
          nullable: true
        event_label_id:
          type: integer
          nullable: true
        event_portal_id:
          type: string
          format: uuid
          nullable: true
        current_total_price:
          type: number
          nullable: true
        custom_attributes:
          type: object
          additionalProperties: true
        metadata:
          type: object
          additionalProperties: true
        allocation_ids:
          type: array
          items:
            type: string
        access_level:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by visiting the profile page or via rails
        console. Provides access to  endpoints based on the user permissions
        levels. This token can be saved by an external system when user is
        created via API, to perform activities on behalf of the user.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.